Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.common
Class CZContext

    java.lang.Object
      |
      +--oracle.apps.fnd.common.Context
            |
            +--oracle.apps.cz.common.CZContext

All Implemented Interfaces:
  java.lang.Cloneable, ICZContext

Deprecated. for non-mobile users

public final class CZContext
extends oracle.apps.fnd.common.Context
implements ICZContext

Represents the runtime context of a configuration session. The context owns the database connection, resources, and log object. It also maintains apps, user, and language information. CZContext is a shadow of the oracle.apps.fnd.common.AppsContext implementation and is designed to operate outside of the middle-tier Oracle Apps environment. This object is to be used only by mobile customers. All others should use either CZAppsContext or CZWebAppsContext.

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from interface oracle.apps.cz.common.ICZContext
`LT_APPS_CONTEXT, LT_APPS_DBC_CONTEXT, LT_CZ_CONTEXT, LT_ICX_CONTEXT, LT_MOBILE_CONTEXT`

Constructor Summary
`CZContext(java.lang.String url, java.lang.String dbOwner)` Deprecated. Creates a new CZContext containing a connection established with the supplied database url.
`CZContext(java.lang.String url, java.lang.String user, java.lang.String password, java.lang.String dbOwner)` Deprecated. Creates a new CZContext containing a connection established with the supplied database url, user name, and password.

Method Summary
`void` | `createConnection(java.lang.String url, java.lang.String user, java.lang.String password)` Deprecated. Creates a new JDBC connection.
`void` | `freeContext()` Deprecated. Releases the resources associated with the context
`int` | `getAppId(java.lang.String applShtName)` Deprecated. Returns the application ID for product configuration (CZ).
`java.lang.String` | `getCurrLangCode()` Deprecated. Returns the current language code.
`oracle.apps.fnd.common.LangInfo` | `getCurrLangInfo()` Deprecated. This method is restricted.
`java.lang.String` | `getDbOwner()` Deprecated. Returns name of Oracle Configurator Schema owner.
`oracle.apps.fnd.common.EnvironmentStore` | `getEnvStore()` Deprecated. CZContext does not contain an environment store, so this method will always throw a RuntimeException.
`oracle.apps.cz.common.UiXmlInitMessage` | `getInitializeMessage()` Deprecated. Returns the parsed XML initialization message.
`java.lang.String` | `getInstance()` Deprecated. Returns database instance name.
`java.sql.Connection` | `getJDBCConnection()` Deprecated.
`java.sql.Connection` | `getJDBCConnection(java.lang.Object pThis)` Deprecated. Returns the JDBC connection.
`java.lang.String` | `getLangCode(java.lang.String pNLSLang)` Deprecated. This method is restricted.
`oracle.apps.fnd.common.LangInfo` | `getLangInfo(java.lang.String pLangCode, java.lang.String pNLSLang)` Deprecated. This method is restricted.
`int` | `getLoginType()` Deprecated. Gets the context's login type.
`java.lang.String` | `getName()` Deprecated. Returns the context's moniker
`java.lang.String` | `getNLSLang(java.lang.String pLangCode)` Deprecated. This method is restricted.
`oracle.apps.fnd.security.SessionManager` | `getSessionManager()` Deprecated. This method is restricted.
`java.lang.String` | `getUrl()` Deprecated. Returns the JDBC URL.
`java.lang.String` | `getUser()` Deprecated. Returns the user name.
`boolean` | `isAlive()` Deprecated. Returns true if connection is alive, false otherwise.
`boolean` | `isCompatibleConnection(oracle.apps.cz.common.UiXmlInitMessage msg)` Deprecated. Returns true if connection is compatible, false otherwise.
`boolean` | `isSessionAlive()` Deprecated. Returns true if db session is alive, false otherwise.
`void` | `releaseJDBCConnection()` Deprecated.
`boolean` | `setCurrLang(java.lang.String pLangCode)` Deprecated. Sets the current language code.
`void` | `setInitializeMessage(oracle.apps.cz.common.UiXmlInitMessage msg)` Deprecated. Sets the parsed XML initialization message.
`void` | `setLoginType(int loginType)` Deprecated. Sets the context's login type.
`void` | `setName(java.lang.String name)` Deprecated. Sets the context's moniker

Methods inherited from class oracle.apps.fnd.common.Context
`getDatabaseId, getErrorStack, getExtraJDBCConnection, getExtraJDBCConnection, getExtraJDBCConnection, getJDBCConnection, getLog, getPreferenceStore, getProfileStore, getResourceStore, getSessionId, releaseExtraJDBCConnection, releaseJDBCConnection, setContextProperties, setContextProperty, setContextProperty, setContextProperty, setLog, setPreferenceStore, setResourceStore, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Constructor Detail

### CZContext

    public CZContext(java.lang.String url,
                     java.lang.String dbOwner)
              throws java.sql.SQLException

  Deprecated.
  Creates a new CZContext containing a connection established with the supplied database url.
Parameters:
  `url` - The full url of the database.
  `dbOwner` - the schema owner of the Oracle Configurator tables

### CZContext

    public CZContext(java.lang.String url,
                     java.lang.String user,
                     java.lang.String password,
                     java.lang.String dbOwner)
              throws java.sql.SQLException

  Deprecated.
  Creates a new CZContext containing a connection established with the supplied database url, user name, and password.
Parameters:
  `url` - The full url of the database.
  `user` - The database user name.
  `password` - The user password.
  `dbOwner` - the schema owner of the Oracle Configurator tables

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the context's moniker
  Specified by:
    `getName` in interface `ICZContext`

### setName

    public void setName(java.lang.String name)

  Deprecated.
  Sets the context's moniker
  Specified by:
    `setName` in interface `ICZContext`

### getDbOwner

    public java.lang.String getDbOwner()

  Deprecated.
  Returns name of Oracle Configurator Schema owner.

### getUrl

    public java.lang.String getUrl()

  Deprecated.
  Returns the JDBC URL.

### getUser

    public java.lang.String getUser()

  Deprecated.
  Returns the user name.

### getInstance

    public java.lang.String getInstance()

  Deprecated.
  Returns database instance name.

### setLoginType

    public void setLoginType(int loginType)

  Deprecated.
  Description copied from interface: `ICZContext`
  Sets the context's login type.
  Specified by:
    `setLoginType` in interface `ICZContext`
  Parameters:
    `loginType` - Login type

### getLoginType

    public int getLoginType()

  Deprecated.
  Description copied from interface: `ICZContext`
  Gets the context's login type.
  Specified by:
    `getLoginType` in interface `ICZContext`

### getInitializeMessage

    public oracle.apps.cz.common.UiXmlInitMessage getInitializeMessage()

  Deprecated.
  Description copied from interface: `ICZContext`
  Returns the parsed XML initialization message.
  Specified by:
    `getInitializeMessage` in interface `ICZContext`

### setInitializeMessage

    public void setInitializeMessage(oracle.apps.cz.common.UiXmlInitMessage msg)

  Deprecated.
  Description copied from interface: `ICZContext`
  Sets the parsed XML initialization message.
  Specified by:
    `setInitializeMessage` in interface `ICZContext`

### isAlive

    public boolean isAlive()

  Deprecated.
  Description copied from interface: `ICZContext`
  Returns true if connection is alive, false otherwise.
  Specified by:
    `isAlive` in interface `ICZContext`

### isSessionAlive

    public boolean isSessionAlive()

  Deprecated.
  Description copied from interface: `ICZContext`
  Returns true if db session is alive, false otherwise.
  Specified by:
    `isSessionAlive` in interface `ICZContext`

### isCompatibleConnection

    public boolean isCompatibleConnection(oracle.apps.cz.common.UiXmlInitMessage msg)

  Deprecated.
  Description copied from interface: `ICZContext`
  Returns true if connection is compatible, false otherwise.
  Specified by:
    `isCompatibleConnection` in interface `ICZContext`

### getJDBCConnection

    public java.sql.Connection getJDBCConnection(java.lang.Object pThis)

  Deprecated.
  Returns the JDBC connection. The parameter signature includes a reference to the caller to be compatible with the AppsContext implementation.
  Overrides:
    `getJDBCConnection` in class `oracle.apps.fnd.common.Context`

### getJDBCConnection

    public java.sql.Connection getJDBCConnection()

  Deprecated.
  Overrides:
    `getJDBCConnection` in class `oracle.apps.fnd.common.Context`

### releaseJDBCConnection

    public void releaseJDBCConnection()

  Deprecated.
  Overrides:
    `releaseJDBCConnection` in class `oracle.apps.fnd.common.Context`

### getSessionManager

    public oracle.apps.fnd.security.SessionManager getSessionManager()

  Deprecated.
  This method is restricted.
  Overrides:
    `getSessionManager` in class `oracle.apps.fnd.common.Context`

### getCurrLangInfo

    public oracle.apps.fnd.common.LangInfo getCurrLangInfo()

  Deprecated.
  This method is restricted.

### getCurrLangCode

    public java.lang.String getCurrLangCode()

  Deprecated.
  Returns the current language code.

### setCurrLang

    public boolean setCurrLang(java.lang.String pLangCode)

  Deprecated.
  Sets the current language code.

### getEnvStore

    public oracle.apps.fnd.common.EnvironmentStore getEnvStore()

  Deprecated.
  CZContext does not contain an environment store, so this method will always throw a RuntimeException. This may need to change in the future if we depend on an environment store, but CZContext will only be used for testing from now on.
  Overrides:
    `getEnvStore` in class `oracle.apps.fnd.common.Context`

### getLangInfo

    public oracle.apps.fnd.common.LangInfo getLangInfo(java.lang.String pLangCode,
                                                       java.lang.String pNLSLang)

  Deprecated.
  This method is restricted.

### getLangCode

    public java.lang.String getLangCode(java.lang.String pNLSLang)

  Deprecated.
  This method is restricted.

### getNLSLang

    public java.lang.String getNLSLang(java.lang.String pLangCode)

  Deprecated.
  This method is restricted.

### getAppId

    public int getAppId(java.lang.String applShtName)

  Deprecated.
  Returns the application ID for product configuration (CZ). The parameter signature is for compatibility with the AppsContext implementation.

### createConnection

    public void createConnection(java.lang.String url,
                                 java.lang.String user,
                                 java.lang.String password)
                          throws java.sql.SQLException

  Deprecated.
  Creates a new JDBC connection.
    `java.sql.SQLException`

### freeContext

    public void freeContext()

  Deprecated.
  Description copied from interface: `ICZContext`
  Releases the resources associated with the context
  Specified by:
    `freeContext` in interface `ICZContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.